#include<stdio.h>
#include<string>

using namespace std;

int main (){
	
	char x1[20],x2[20],x3[20];
	
	scanf("%s",x1);
	scanf("%s",x2);
	scanf("%s",x3);
		
	string s1,s2,s3;
	
	s1=x1;
	s2=x2;
	s3=x3;
	
	string z1,z2,z3,z4,z5,z6,zm;
	
	z1=s1+s2+s3;
	z2=s1+s3+s2;
	z3=s2+s1+s3;
	z4=s2+s3+s1;
	z5=s3+s1+s2;
	z6=s3+s2+s1;
	
	zm=z1;
	
	if(zm<z2)zm=z2;
	if(zm<z3)zm=z3;
	if(zm<z4)zm=z4;
	if(zm<z5)zm=z5;
	if(zm<z6)zm=z6;
	
	int x=zm.size();
	
	long rez;
	
	for(int i=0;i<x;i++){
		rez=rez*10+zm[i]-(int)'0';	
	}
	
	printf("%ld",rez);
	
	return 0;
}